#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct GetInfoResponse {
    pub adjusted_time: u64,
    pub alt_blocks_count: u32,
    pub block_size_limit: u32,
    pub block_size_median: u32,
    pub block_weight_limit: u32,
    pub block_weight_median: u64,
    pub bootstrap_daemon_address: String,
    pub busy_syncing: bool,
    pub credits: u32,
    pub cumulative_difficulty: u64,
    pub cumulative_difficulty_top64: u32,
    pub database_size: u64,
    pub donation_address: Option<String>,
    pub difficulty: u64,
    pub difficulty_top64: u32,
    pub free_space: u64,
    pub grey_peerlist_size: u32,
    pub height: u32,
    pub height_without_bootstrap: u32,
    pub incoming_connections_count: u32,
    pub mainnet: bool,
    pub nettype: String,
    pub offline: bool,
    pub restricted: bool,
    pub outgoing_connections_count: u32,
    pub rpc_connections_count: u32,
    pub stagenet: bool,
    pub start_time: u32,
    pub status: String,
    pub synchronized: bool,
    pub target: u32,
    pub target_height: u32,
    pub testnet: bool,
    pub top_block_hash: String,
    pub top_hash: String,
    pub tx_count: u32,
    pub tx_pool_size: u32,
    pub untrusted: bool,
    pub update_available: bool,
    pub version: String,
    pub was_bootstrap_ever_used: bool,
    pub white_peerlist_size: u32,
    pub wide_cumulative_difficulty: String,
    pub wide_difficulty: String
}
